import { UiUI } from '@teambit/ui';
import { MessageLevel, NotificationApi } from '@teambit/notifications.api';
/**
 * extension
 */
export default class NotificationUI implements NotificationApi {
    static dependencies: import("@teambit/harmony").Aspect[];
    static runtime: import("@teambit/harmony").RuntimeDefinition;
    static provider([uiRuntimeExtension]: [UiUI]): Promise<NotificationUI>;
    constructor(uiRuntimeExtension: UiUI);
    private dispatch?;
    /** adds a full message to the log */
    add: (message: string, level: MessageLevel) => any;
    /** removes/archives a message from the log */
    dismiss(id: string): void;
    /** adds a message with level "info" to the log */
    log: (message: string) => any;
    /** adds a message with level "warning" to the log */
    warn: (message: string) => any;
    /** adds a message with level "error" to the log */
    error: (message: string) => any;
    /** adds a message with level "success" to the log */
    success: (message: string) => any;
    /** removes all notifications */
    clear: () => void;
    private render;
    private renderContext;
}
